/**@file

// unRcpConstant_declarations.ctl
This file contains the constant definitions for the UNICOS Recipes.

@par Creation Date
  27/05/2011

@par Modification History
  
@par Constraints
  None

@par Usage
  Public

@par PVSS managers
  Ui, CTRL

@author 
  Ivan Prieto Barreiro (EN-ICE)
*/

//@{

// Recipe Constant Definitions
const string UN_CONFIG_UNRCPCLASS_DPT_NAME = "UnRcpClass";
const string UN_CONFIG_UNRCPTYPE_DPT_NAME  = "UnRcpType";
const string UN_CONFIG_UNRCPINSTANCE_DPT_NAME = "UnRcpInstance";

const unsigned UN_CONFIG_UNRCPCLASS_LENGHT = 2;
const unsigned UN_CONFIG_UNRCPCLASS_RECIPE_TYPE = 1;		// Recipe class type
const unsigned UN_CONFIG_UNRCPCLASS_DEVICE_LIST = 2;		// Recipe class device list

const unsigned UN_CONFIG_UNRCPINSTANCE_LENGHT = 3;
const unsigned UN_CONFIG_UNRCPINSTANCE_RECIPE_CLASS = 1;	// Recipe class of the recipe instance
const unsigned UN_CONFIG_UNRCPINSTANCE_INITIAL_RECIPE = 2;	// Is an initial recipe?
const unsigned UN_CONFIG_UNRCPINSTANCE_VALUES_LIST = 3;		// Values list

// constant for export

// constant for widget

// constant for faceplate

// constant for device action interface

// any other constants
const string UN_RCP_INSTANCE_STATE_ACTIVATE  = "Activate";
const string UN_RCP_INSTANCE_STATE_EDIT		 = "Edit";
const string UN_RCP_INSTANCE_STATE_DELETE	 = "Delete";
const string UN_RCP_INSTANCE_STATE_DUPLICATE = "Duplicate";
//@}

//@{

// put here the global variables

//@}

